window.Gleam.initSearch([{"doc":"telega","title":"telega","content":"# telega\n\n[![Package Version](https://img.shields.io/hexpm/v/telega)](https://hex.pm/packages/telega)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/telega/)\n\nA [Gleam](https://gleam.run/) library for the Telegram Bot API.\n\n```sh\ngleam add telega\n```\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"telega/api","title":"send_text","content":"pub fn send_text(\n  chat_id chat_id: Int,\n  text text: String,\n  token token: String,\n  telegram_url telegram_url: String,\n) -&gt; Result(Response(String), String)\n\nSynonyms:\ntelega/api.send_text\ntelega/api send_text","url":"telega/api.html#send_text"},{"doc":"telega/api","title":"set_webhook","content":"pub fn set_webhook(\n  token token: String,\n  webhook_url webhook_url: String,\n  telegram_url telegram_url: String,\n  secret_token secret_token: Option(String),\n) -&gt; Result(Response(String), String)\n\nSynonyms:\ntelega/api.set_webhook\ntelega/api set_webhook","url":"telega/api.html#set_webhook"},{"doc":"telega/api","title":"telega/api","content":" &gt; It&#39;s internal module for working with Telegram API, **not** for public use.","url":"telega/api.html"},{"doc":"telega","title":"Bot","content":"pub type Bot {\n  Bot(config: Config, handlers: List(Handler))\n}\n\nBot(config: Config, handlers: List(Handler))\n\n\nSynonyms:\ntelega.Bot\ntelega Bot","url":"telega.html#Bot"},{"doc":"telega","title":"Chat","content":"pub type Chat {\n  Chat(id: Int)\n}\n\nChat(id: Int)\n\n\nSynonyms:\ntelega.Chat\ntelega Chat","url":"telega.html#Chat"},{"doc":"telega","title":"Config","content":"pub opaque type Config\n\n\nSynonyms:\ntelega.Config\ntelega Config","url":"telega.html#Config"},{"doc":"telega","title":"Context","content":"pub type Context {\n  Context(message: Message, bot: Bot)\n}\n\nContext(message: Message, bot: Bot)\n\n\nSynonyms:\ntelega.Context\ntelega Context","url":"telega.html#Context"},{"doc":"telega","title":"Handler","content":"pub type Handler {\n  HandleAll(handler: fn(Context) -&gt; Result(Nil, Nil))\n}\n\nHandleAll(handler: fn(Context) -&gt; Result(Nil, Nil))\n\n\nSynonyms:\ntelega.Handler\ntelega Handler","url":"telega.html#Handler"},{"doc":"telega","title":"Message","content":"pub type Message {\n  TextMessage(text: String, chat: Chat)\n}\n Messages represent the data that the bot receives from the Telegram API.\nTextMessage(text: String, chat: Chat)\n\n\nSynonyms:\ntelega.Message\ntelega Message","url":"telega.html#Message"},{"doc":"telega","title":"add_handler","content":"pub fn add_handler(bot: Bot, handler: Handler) -&gt; Bot\n Add a handler to the bot.\nSynonyms:\ntelega.add_handler\ntelega add_handler","url":"telega.html#add_handler"},{"doc":"telega","title":"decode_message","content":"pub fn decode_message(\n  json: Dynamic,\n) -&gt; Result(Message, List(DecodeError))\n Decode a message from the Telegram API.\nSynonyms:\ntelega.decode_message\ntelega decode_message","url":"telega.html#decode_message"},{"doc":"telega","title":"handle_update","content":"pub fn handle_update(bot: Bot, message: Message) -&gt; Nil\n Handle an update from the Telegram API.\nSynonyms:\ntelega.handle_update\ntelega handle_update","url":"telega.html#handle_update"},{"doc":"telega","title":"is_secret_token_valid","content":"pub fn is_secret_token_valid(bot: Bot, token: String) -&gt; Bool\n Check if a token is the secret token for the bot.\nSynonyms:\ntelega.is_secret_token_valid\ntelega is_secret_token_valid","url":"telega.html#is_secret_token_valid"},{"doc":"telega","title":"is_webhook_path","content":"pub fn is_webhook_path(bot: Bot, path: String) -&gt; Bool\n Check if a path is the webhook path for the bot.\nSynonyms:\ntelega.is_webhook_path\ntelega is_webhook_path","url":"telega.html#is_webhook_path"},{"doc":"telega","title":"new","content":"pub fn new(\n  token token: String,\n  url server_url: String,\n  webhook_path webhook_path: String,\n  secret_token secret_token: Option(String),\n) -&gt; Bot\n Create a new bot instance.\nSynonyms:\ntelega.new\ntelega new","url":"telega.html#new"},{"doc":"telega","title":"reply","content":"pub fn reply(ctx: Context, text: String) -&gt; Result(Nil, Nil)\n Replies to user with a text message.\nSynonyms:\ntelega.reply\ntelega reply","url":"telega.html#reply"},{"doc":"telega","title":"set_webhook","content":"pub fn set_webhook(bot: Bot) -&gt; Result(Bool, String)\n Set the webhook URL for the bot.\nSynonyms:\ntelega.set_webhook\ntelega set_webhook","url":"telega.html#set_webhook"},{"doc":"telega","title":"telega","content":"","url":"telega.html"},{"doc":"telega/telega_wisp","title":"bot_handler","content":"pub fn bot_handler(\n  bot: Bot,\n  req: Request(Connection),\n) -&gt; Response(Body)\n Handle incoming requests from the Telegram API.\n Add this function as a handler to your wisp server.\n\n \n import telega.{type Bot}\n import telega/telega_wisp\n\n fn handle_request(bot: Bot, req: Request) -&gt; Response {\n   use req &lt;- middleware(req)\n   use &lt;- bool.lazy_guard(telega_wisp.is_bot_request(bot, req), fn() {\n     telega_wisp.bot_handler(bot, req)\n   })\n\n   case wisp.path_segments(req) {\n     [&quot;helath&quot;] -&gt; wisp.ok()\n     _ -&gt; wisp.not_found()\n   }\n }\n \nSynonyms:\ntelega/telega_wisp.bot_handler\ntelega/telega_wisp bot_handler","url":"telega/telega_wisp.html#bot_handler"},{"doc":"telega/telega_wisp","title":"is_bot_request","content":"pub fn is_bot_request(bot: Bot, req: Request(Connection)) -&gt; Bool\n\nSynonyms:\ntelega/telega_wisp.is_bot_request\ntelega/telega_wisp is_bot_request","url":"telega/telega_wisp.html#is_bot_request"},{"doc":"telega/telega_wisp","title":"telega/telega_wisp","content":"","url":"telega/telega_wisp.html"}]);